library map_values;

class MapValues<T, U> {
  Map<U, T> map;
  Map<T, U> _reverseMap;

  MapValues(this.map);

  Map<T, U> get reverse {
    if (_reverseMap == null) {
      _reverseMap = map.map(
        (k, v) => MapEntry(v, k),
      );
    }
    return _reverseMap;
  }
}
